<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <link href="https://cdn.bootcss.com/iview/3.5.1/styles/iview.css" rel="stylesheet">
    <style>
        #main {
            width: 80%;
            margin: 0 auto;
        }
    </style>
</head>
<body>
<div id="main">
    <h1>部门信息</h1>
    <i-table :columns="deptColumns" :data="depts">

    </i-table>
</div>
</body>
<script src="https://cdn.bootcss.com/vue/2.6.10/vue.min.js"></script>
<script src="https://cdn.bootcss.com/iview/3.5.1/iview.js"></script>
<script>
    new Vue({
        el: '#main',
        data() {
            return {
                deptColumns: [
                    {
                        title: '部门名',
                        key: 'deptName'
                    },
                    {
                        title: '创建时间',
                        key: 'ct'
                    }
                ],
                depts: []
            }
        },
        methods: {
            getDept() {

            },
        },
        mounted() {
            this.getDept()
        }
    })
</script>
</html>